#version 120
uniform sampler2D iChannel0;

uniform vec4 lightColor;
uniform vec4 darkColor;

void main()
{
	vec4 c = texture2D(iChannel0, gl_TexCoord[0].xy);
	
	gl_FragColor = mix(darkColor,lightColor,c.r)*c.a*gl_Color;
}